<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.persagy.calendar.mapper.WorkCalendarRuleMapper">

	<resultMap id="BaseResultMap" type="com.persagy.calendar.pojo.dto.WorkCalendarRule">
		<result column="ID" property="id" jdbcType="VARCHAR" />
		<result column="CALENDAR_ID" property="calendarId" jdbcType="VARCHAR" />
		<result column="PROJECT_ID" property="projectId" jdbcType="VARCHAR" />
		<result column="DICT_TYPE" property="dictType" jdbcType="VARCHAR" />
		<result column="DICT_CODE" property="dictCode" jdbcType="VARCHAR" />
		<result column="RULE_DATE_START" property="ruleDateStart" jdbcType="VARCHAR" />
		<result column="RULE_DATE_END" property="ruleDateEnd" jdbcType="VARCHAR" />
		<result column="RULE_TIME" property="ruleTime" jdbcType="VARCHAR" />
		<result column="CREATE_TIME" property="createTime" jdbcType="VARCHAR" />
		<result column="UPDATE_TIME" property="updateTime" jdbcType="VARCHAR" />
		<result column="UPDATE_USER" property="updateUser" jdbcType="VARCHAR" />
		<result column="DEL_FLAG" property="delFlag" jdbcType="VARCHAR" />
		<result column="RULE_FLAG" property="ruleFlag" jdbcType="VARCHAR" />
		<result column="VALUE" property="value" 
			typeHandler="com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler" />
	</resultMap>
	
</mapper>